Subject: bug#30789: 26.0.91; xml-parse-region works but libxml-parse-html-region doesn't

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 13 Mar 2018 01:44:22 +0100

Katsumi Yamaoka <[email-masked]> writes:

> When I read the mail using Gnus + shr, the text after the broken
> point is all cut off.  That is what libxml-parse-html-region does,
> whereas xml-parse-region doesn't cut it.  Moreover a web browser,
> to which I send the html data using the `K H' command, shows all
> the text (the broken character is shown as is, though).
>
> This is not necessarily a libxml bug anyway, but I hope it works
> like xml-parse.

libxml is more strict about correctness of the input than most other
HTML parsers.  I don't think there's anything we can do about this
problematic input other than ponder whether Emacs should use a different
HTML parser, which I think sounds of unlikely.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no